Democracy Player problem - Suse

This is a discussion on Democracy Player problem - Suse ; I've just installed the latest version of democracyplayer democracyplayer-0.9.6-1.guru.suse102 Machine is dual-core x86_64 Athlon running 64bit OpenSuSE 10.2 Democracy player crashes with "democracyplayer Traceback (most recent call last): File "/usr/bin/democracyplayer", line 103, in startapp() File "/usr/bin/democracyplayer", line 51, in startapp ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: Democracy Player problem

  1. Democracy Player problem

    I've just installed the latest version of democracyplayer

    democracyplayer-0.9.6-1.guru.suse102

    Machine is dual-core x86_64 Athlon running 64bit OpenSuSE 10.2

    Democracy player crashes with

    "democracyplayer
    Traceback (most recent call last):
    File "/usr/bin/democracyplayer", line 103, in startapp()
    File "/usr/bin/democracyplayer", line 51, in startapp import singleclick
    File "/usr/lib64/python2.5/site-packages/democracy/singleclick.py",
    line 17, in import app
    File "/usr/lib64/python2.5/site-packages/democracy/app.py", line 539,
    in import frontend
    File "/usr/lib64/python2.5/site-packages/democracy/frontend.py", line
    43, in import MozillaBrowser
    ImportError: libgtkembedmoz.so: cannot open shared object file: No such
    file or directory"

    I have two copies of libgtkembedmoz.so

    /usr/lib64/seamonkey/libgtkembedmoz.so
    /usr/lib64/xulrunner-1.8.1.4/libgtkembedmoz.so

    Dropping back to the previous version
    democracyplayer-0.9.5.3-1.guru.suse102
    doesn't help.

    Any ideas anyone?

    Regards
    Gordon

  2. Re: Democracy Player problem

    On Sat, 16 Jun 2007 13:47:17 -0400, Gordon Darling wrote:

    > I've just installed the latest version of democracyplayer
    >
    > democracyplayer-0.9.6-1.guru.suse102
    >
    > Machine is dual-core x86_64 Athlon running 64bit OpenSuSE 10.2
    >
    > Democracy player crashes with
    >
    > "democracyplayer
    > Traceback (most recent call last):
    > File "/usr/bin/democracyplayer", line 103, in startapp()
    > File "/usr/bin/democracyplayer", line 51, in startapp import
    > singleclick
    > File "/usr/lib64/python2.5/site-packages/democracy/singleclick.py",
    > line 17, in import app
    > File "/usr/lib64/python2.5/site-packages/democracy/app.py", line 539,
    > in import frontend
    > File "/usr/lib64/python2.5/site-packages/democracy/frontend.py", line
    > 43, in import MozillaBrowser
    > ImportError: libgtkembedmoz.so: cannot open shared object file: No such
    > file or directory"
    >
    > I have two copies of libgtkembedmoz.so
    >
    > /usr/lib64/seamonkey/libgtkembedmoz.so
    > /usr/lib64/xulrunner-1.8.1.4/libgtkembedmoz.so
    >
    > Dropping back to the previous version
    > democracyplayer-0.9.5.3-1.guru.suse102
    > doesn't help.
    >
    > Any ideas anyone?
    >
    > Regards
    > Gordon


    You should be running Guru's python-gnome-extras instead of Suse's, if
    this doesn't work check out the forums on democracyplayer there's a thread
    regarding Suse.

    --
    OpenSuse 10.2 x64, KDE 3.5, Opera 9.x weekly

  3. Re: Democracy Player problem

    On Sat, 16 Jun 2007 18:40:09 +0000, google01013 wrote:

    Snippage


    > You should be running Guru's python-gnome-extras instead of Suse's,


    I followed the instructions on the democracyplayer site:

    "Setting up on openSUSE

    RPM for Democracy player is available in Guru's repository (at least for
    10.2). Add required package sources, start YaST Software Management, and
    search for democracy, and select install."

    And yes, python-gnome-extras is 2.14.2-36.0.guru.suse102

    > if this doesn't work check out the forums on democracyplayer there's a
    > thread regarding Suse.


    Thanks, on my way to check it out.

    Regards
    Gordon


+ Reply to Thread